#include "stm32h7xx.h"

extern void w25q_IO_setup(void);

extern uint8_t get_flash_write_status(void);
extern void flash_full_chip_erase(void);
extern void flash_full_chip_erase_no_wait(void);
extern void flash_sector_erase(uint32_t addr);
extern void flash_sector_erase_no_wait(uint32_t addr);
extern uint8_t* flash_read(uint32_t addr,uint8_t len);
//extern uint8_t* flash_read_page(uint32_t addr);
//extern void flash_program_page(uint32_t addr,uint8_t* data_point);
extern uint8_t* flash_quad_read_page(uint32_t addr);
extern unsigned int flash_quad_read_data(unsigned int addr, unsigned char * p_data,unsigned int len);
extern void flash_quad_program_page(uint32_t addr,uint8_t* p_data);
extern void flash_quad_program_page_no_wait(uint32_t addr,uint8_t* p_data);
